<?php
require "racs.php";
require "fgstyles.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
?>
<html>
<title>Delivery Update</title>
<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">

<style>
tr:hover.clss{background-color:silver;}
</style>
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");
var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;
for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
svl=dt.rows[cnt].cells[2].innerText.toLowerCase();

if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0 || svl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}
}
</script>
</head>

<body style='font-family:calibri;font-size:small;'>
<?php

$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");
if(isset($_REQUEST['starts'])){
//echo "starts ok";	
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['stores'])){
$stores=$_REQUEST['stores'];}
else{
$stores='all';}


//$name= $_POST['color'];
//if (isset($_POST['color'])) {

//echo "You chose the following color(s): <br>";

//foreach ($name as $color){

//echo "<li>" .$color."</li>";
   // }
 //echo "</ul>";
 
//} else {
 //echo "You did not choose a color.";
//}


   // if($_POST):
   // foreach($_POST['color'] as $valu)
    //$valu=implode(',',$val);
   // {
  //  echo $valu . "<br>";
  //  }
  //  endif;
    
    
///////////////////////////////
$myselected         =   $_POST["color"];

if(count($myselected)>0){
    $auditor = implode ("','",$myselected);
    }else{
    $auditor =$myselected;
    
    }
   
    //////////////////////////////
    



$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($stores)!='all'){
$flt=$flt." and stores_names='".$stores."' ";}


//$flt=racs(1);
stps(1);
stksnew(1);//('pr','zone','gobs','sales','Periodic sales',$zones,$regions,$agents,$agenttypes,$terrys,$ranges,$subranges,$items);

printf("<div style='position:absolute;left:1%%;top:5%%;width:15%%;'>");

//stksnew(1);//prshows('pr','zone','gobs','sales','Periodic sales',$zones,$regions,$agents,$agenttypes,$terrys,$ranges,$subranges,$items);
//stksdvs(1);
printf("</div>");
printf("<div style='position:absolute;left:18%%;top:5%%;width:65%%;'>");
printf("<form method='post' action='#'>");
printf("<br><table id='fms' style='width:100%%'><tr>");

 printf("<td align='right' style='color:grey;font-size:12;'>Search
<input type='text' autocomplete='off' id='srctxt' size=28 style='font-family:calibri;font-size:13;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td>
<td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy-Excel</td></tr></table>");
printf("<table id='dt' style='width:100%%;font-size:12;color:grey;border-collapse:collapse;'>");

printf("<tr style='border:1px solid silver;background:silver;'>
<td width='10%%'>Code</td>
<td width='50%%'>Product</td>
<td width='10%%'>Catergory</td>
<td width='10%%'>MRP</td>
<td width='10%%'>Box</td>
<td width='10%%'>Pcs</td>
<td width='10%%'>Total-Pcs</td>
<td width='20%%'>Value</td>
</tr>");
$sqlst="select distinct(item_names) as ittm,item_ranges,sum(box_qty)as qty,sum(box_qty*box_price)as grand_val,itemcodes,sum(pcs_qty),packets_per_box,box_mrp from rc_invoices WHERE invoice_number IN ('$auditor') and box_qty>(dv_box_qty +undv_box_qty+unld_box_qty) group by itemcodes,item_ranges order by item_ranges";
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
    

    
    
//////////////////////////////////////////////////////////////////////////
    
    
$n = $rst[2];
$whole = floor($n);      // 1
$fraction = $n - $whole; // .25
    
    
//$dhrf="<a href='vtprstdvnotes.php?actp=dvnts&ddates=".$rst[0]."&dinvoicenumbers=".$rst[1]."' target='_blank'>Delivery note</a>";
//$dhrf="<a href='vtdlvupnew.php?actp=dinvoicenumbers=".$rst[1]."' target='_blank'>Delivery note</a>";
//$uhrf="<a href='vtprstundeliver.php?actp=dvnts&ddates=".$rst[0]."&dinvoicenumbers=".$rst[1]."' target='_blank'>Counted-SKU-View</a>";
 

printf("<tr class='clss' style='border:1px solid silver;'>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
</tr>",
$rst[4],
$rst[0],
$rst[1],
$rst[7],
number_format($whole,0,'.',','),
number_format($fraction*$rst[6],0,'.',','),
$rst[5],
number_format($rst[3],2,'.',','),
$dhrf);}

printf("</div>");

}

///////////////////////////////////////////////invoice number view /////////////////////////////



printf("<br><table id='fms' style='width:100%%'><tr>");

printf("<br>");
printf("<br>");


 printf("<td align='right' style='color:grey;font-size:12;'>Search
<input type='text' autocomplete='off' id='srctxt' size=28 style='font-family:calibri;font-size:13;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td>
<td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy-Excel</td></tr></table>");
printf("<table id='dt' style='width:100%%;font-size:12;color:grey;border-collapse:collapse;'>");


printf("<tr style='border:1px solid silver;background:silver;'>
<td width='10%%'>Invice Number</td>

</tr>");
$sqlst="select distinct(invoice_number) as invnumb from rc_invoices WHERE invoice_number IN ('$auditor') group by invoice_number order by invoice_number";
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){

//$dhrf="<a href='vtprstdvnotes.php?actp=dvnts&ddates=".$rst[0]."&dinvoicenumbers=".$rst[1]."' target='_blank'>Delivery note</a>";
//$dhrf="<a href='vtdlvupnew.php?actp=dinvoicenumbers=".$rst[1]."' target='_blank'>Delivery note</a>";
//$uhrf="<a href='vtprstundeliver.php?actp=dvnts&ddates=".$rst[0]."&dinvoicenumbers=".$rst[1]."' target='_blank'>Counted-SKU-View</a>";
 
printf("<tr class='clss' style='border:1px solid silver;'>
<td>%s</td>
</tr>",
$rst[0],
$dhrf);}




///////////////////////////////////////////////

?>
</div>
</body>
</html>